Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025073
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. OthersmajorN/A2013-11-04 16:092013-12-19 12:31
ReporterioritzCiaView Statuspublic 
Assigned ToioritzCia 
PrioritynormalResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revisiond12e9cab1878
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS VersionUbuntu 10.04Database version8.4Ant version1.7.1
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025073: It would be great to be able to add, delete and edit description to the attachments.

DescriptionScreenshots attached.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Filespng file icon AddAttachment.png [^] (120,508 bytes) 2013-11-04 16:13


png file icon Attachment.png [^] (118,319 bytes) 2013-11-04 16:14


png file icon EditAttachment.png [^] (120,775 bytes) 2013-11-04 16:14

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062693)
hgbot (developer)
2013-12-10 17:27

Repository: erp/devel/pi
Changeset: d12e9cab1878ac54d8c2e0448027a61572d6137f
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Tue Dec 10 17:25:07 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d12e9cab1878ac54d8c2e0448027a61572d6137f [^]

Fixes issue 25073: It would be great to be able to add, delete and edit description to the attachments.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/AttachmentsAH.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-attachments.js
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M src/org/openbravo/erpCommon/businessUtility/TabAttachments.java
---
(0062694)
AugustoMauch (developer)
2013-12-10 17:39

Code reviewed and verified in pi@d12e9cab1878
(0062699)
hgbot (developer)
2013-12-11 10:06

Repository: erp/devel/pi
Changeset: 85f4e35b1d849d699799a3025ba63702b10dd3b6
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Wed Dec 11 10:05:32 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/85f4e35b1d849d699799a3025ba63702b10dd3b6 [^]

Related to issue 25073: Fixing jslint.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-attachments.js
---
(0062844)
hudsonbot (developer)
2013-12-19 12:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test
(0062846)
hudsonbot (developer)
2013-12-19 12:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-04 16:09 ioritzCia New Issue
2013-11-04 16:09 ioritzCia Assigned To => dmiguelez
2013-11-04 16:09 ioritzCia Modules => Core
2013-11-04 16:09 ioritzCia Triggers an Emergency Pack => No
2013-11-04 16:12 ioritzCia Description Updated View Revisions
2013-11-04 16:12 ioritzCia Steps to Reproduce Updated View Revisions
2013-11-04 16:13 ioritzCia File Added: AddAttachment.png
2013-11-04 16:14 ioritzCia File Added: Attachment.png
2013-11-04 16:14 ioritzCia File Added: EditAttachment.png
2013-11-04 17:35 ioritzCia Assigned To dmiguelez => ioritzCia
2013-12-10 17:27 hgbot Checkin
2013-12-10 17:27 hgbot Note Added: 0062693
2013-12-10 17:27 hgbot Status new => resolved
2013-12-10 17:27 hgbot Resolution open => fixed
2013-12-10 17:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d12e9cab1878ac54d8c2e0448027a61572d6137f [^]
2013-12-10 17:39 AugustoMauch Review Assigned To => AugustoMauch
2013-12-10 17:39 AugustoMauch Note Added: 0062694
2013-12-10 17:39 AugustoMauch Status resolved => closed
2013-12-10 17:39 AugustoMauch Fixed in Version => 3.0MP31
2013-12-11 10:06 hgbot Checkin
2013-12-11 10:06 hgbot Note Added: 0062699
2013-12-19 12:30 hudsonbot Checkin
2013-12-19 12:30 hudsonbot Note Added: 0062844
2013-12-19 12:31 hudsonbot Checkin
2013-12-19 12:31 hudsonbot Note Added: 0062846


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker